/* SimpsonsSpotGame - File: AppDelegate.m
 *
 * Copyright (C) 18/10/11  Jonathan Pinto Sperafico
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import "AppDelegate.h"

@implementation AppDelegate

@synthesize window = _window;
@synthesize viewController = _viewController;

- (void)dealloc
{
    [_window release];
    [_viewController release];
    [super dealloc];
}

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];
    // Override point for customization after application launch.
    
    [[Gameplay getInstance] init];
    
    //Verify if some variable of the singleton was allocated
    if( [Gameplay getInstance].viewController == nil )
        NSLog(@"Bugo o singleton");
    else
        self.viewController = [[Gameplay getInstance].viewController autorelease];
    
    self.window.rootViewController = self.viewController;
     
    [self.window makeKeyAndVisible];
    return YES;
}

@end
