/* SimpsonsSpotGame - File: Donut.h
 *
 * Copyright (C) 19/10/11  Jonathan Pinto Sperafico
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import <UIKit/UIKit.h>
#import "Gameplay.h"

#import "Behavior.h"
#import "BehaviorSimple.h"
#import "BehaviorAnimated.h"
#import "BehaviorRotation.h"

@interface Donut : UIImageView
{
    //Behavior of the Donut
    Behavior *behavior;
    
    //BOOLEAN that represent if the donut is touched
    BOOL touched;
}

@property (nonatomic, retain) Behavior *behavior;
@property BOOL touched;

//Custumized init function
-(id) initWithImage:(UIImage *)image Frame:(CGRect)frame andBehavior:(Behavior *)bh;

//Method to change set the pressed animation of the behavior
-(void) applyTouchedAnimation;

@end
