/* SimpsonsSpotGame - File: MyViewController.h
 *
 * Copyright (C) 17/10/11  Jonathan Pinto Sperafico
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import <UIKit/UIKit.h>
#import <CoreGraphics/CGBase.h>
#import <QuartzCore/CoreAnimation.h>
#import <AVFoundation/AVFoundation.h>

#import "Donut.h"
@class Donut;

@interface MyViewController : UIViewController <UIAlertViewDelegate>
{
    IBOutlet UILabel *scoreLabel;
    IBOutlet UILabel *levelLabel;
    IBOutlet UILabel *highScoreLabel;
    
}

@property(nonatomic, retain) IBOutlet UILabel *scoreLabel;
@property(nonatomic, retain) IBOutlet UILabel *levelLabel;
@property(nonatomic, retain) IBOutlet UILabel *highScoreLabel;

-(void)addLifeToSubView:(UIImageView *)life;
-(void)resetLabelsAndInitHighScoreWith:(NSNumber *)highScore;
-(void)addDonutToSubView:(Donut *)donut;
-(CGPoint)getTouchLocationInView:(UITouch *)touch;
-(void)setScoreText:(NSString *)score;
-(void)setLevelText:(NSString *)level;
-(void)createAletWithMessage:(NSString *)message;


@end
