/* SimpsonsSpotGame - File: MyViewController.m
 *
 * Copyright (C) 17/10/11  Jonathan Pinto Sperafico
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import "MyViewController.h"

static const int BALL_RADIUS = 30;

@implementation MyViewController

@synthesize levelLabel;
@synthesize highScoreLabel;
@synthesize scoreLabel;

- (void)viewDidLoad
{
    [super viewDidLoad];
    
}

-(void)addLifeToSubView:(UIImageView *)life
{
    [self.view addSubview:life];
}

-(void)resetLabelsAndInitHighScoreWith:(NSNumber *)highScore
{
    [scoreLabel setText:@"Score: 0"];
    [levelLabel setText:@"Level: 1"];
    [highScoreLabel setText:
     [NSString stringWithFormat:@"Maximum score: %@", highScore]];
}

-(void)addDonutToSubView:(Donut *)donut
{
    [self.view addSubview:donut];
}

-(CGPoint)getTouchLocationInView:(UITouch *)touch
{
    return [touch locationInView:self.view];
}

-(void)setScoreText:(NSString *)score
{
    [scoreLabel setText:score];
}

-(void) touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
{
    [[Gameplay getInstance] touchesBegan:touches withEvent:event];
}
    
-(void)setLevelText:(NSString *)level
{
    [levelLabel setText:level];
}

-(void)createAletWithMessage:(NSString *)message
{
    UIAlertView *alert = [[UIAlertView alloc]
                          initWithTitle:@"Game Over" message:message delegate:self
                          cancelButtonTitle:@"Reset Game" otherButtonTitles:nil];
    [alert show];
    [alert release];
}

- (void)alertView:(UIAlertView *)alertView
clickedButtonAtIndex:(NSInteger)buttonIndex
{
    [[Gameplay getInstance] resetGame];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

-(void) dealloc
{
    
    [scoreLabel release];
    [levelLabel release];
    [highScoreLabel release];
    
    [super dealloc];
    
}

@end
